SUDOSH.CONF(5)

NAME
sudosh.conf - configuration file for sudosh

DESCRIPTION
sudosh.conf is used to configure sudosh. The log directory, logging parameters and other default entries are stored within this file.

OPTIONS

logdir
    logdir = /path/to/logging/directory Use this to set the default logging directory. Both sudosh and sudosh-replay will use this to deteremine the logging directory.

default
    default shell = /path/to/default/shell This is the default shell sudosh will use if it cannot automatically determine which shell to use..RE

    delimiter
        delimiter = - This is the character you want to delimit the logging files with. For example some environments may use ths underscore "_" or dash "-" in the login names. If this is the case use the delimiter option to change the logging delimiter to another character such as a period "." or comma "," The delimiter must be 1 character in length and cannot be alphanumeric.

    syslog.priority
        syslog.priority = PRIORITY Use this option to set which syslog priority sudosh will use. The default is LOG_INFO

    syslog.facility
        syslog.facility = FACILITY Use this option to set which syslog facility sudosh will use. The default is LOG_LOCAL2

    -c arg allow
        -c arg allow = command This option can be used multiple times. If you wish to use sudosh as a default login shell and want to allow users to copy files, you can allow them to use commands such as rsync and scp. For each command you want to allow, use a new line and option. -c arg allow = scp -c arg allow = rsync

EXAMPLES
# Sudosh Configuration File
logdir = /var/log/sudosh
default shell = /bin/sh
delimiter = -
syslog.priority = LOG_INFO
syslog.facility = LOG_LOCAL2
# Allow Sudosh to execute -c arguements? If so, what?
-c arg allow = scp
-c arg allow = rsync

AUTHOR
Josh Grebe <josh@shortcutsolutions.net> Douglas Richard Hanks, Jr. <dhanks@gmail.com>

SEE ALSO
sudosh-replay(8), sudo(8)